Exponential 6.0.13 Exponential Enterprise Open Source CMS - PHP Class Reference

Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
eZPathElement Class Reference

Handles singular path elements in URL aliases. More...

Inheritance diagram for eZPathElement:

## Public Member Functions
| __construct ( $row)
| store ( $fieldFilters=null)
| removeThis ()
| getLanguage ()
| actionURL ()
| getPath ()
| getPathArray ()
| alwaysAvailable ()
Public Member Functions inherited from eZPersistentObject
| eZPersistentObject ( $row=null)
| fill ( $row)
| remove ( $conditions=null, $extraConditions=null)
| sync ( $fieldFilters=null)
| attributes ()
| hasAttribute ( $attr)
| attribute ( $attr, $noFunction=false)
| setAttribute ( $attr, $val)
| hasDirtyData ()
| setHasDirtyData ( $hasDirtyData)

## Static Public Member Functions
static | definition ()
static | fetchNamedByParentID ( $parentID, $name)
Static Public Member Functions inherited from eZPersistentObject
static | replaceFieldsWithShortNames (eZDBInterface $db, array $fieldDefs, &$fields)
static | count ( $def, $conds=null, $field=null)
static | fetchObject ( $def, $field_filters, $conds, $asObject=true, $grouping=null, $custom_fields=null)
static | removeObject ( $def, $conditions=null, $extraConditions=null)
static | storeObject ( $obj, $fieldFilters=null)
static | conditionText ( $conditions)
static | conditionTextByRow ( $conditions, $row)
static | fetchObjectList ( $def, $field_filters=null, $conds=null, $sorts=null, $limit=null, $asObject=true, $grouping=false, $custom_fields=null, $custom_tables=null, $custom_conds=null)
static | handleRows ( $rows, $class_name, $asObject)
static | swapRow ( $table, $keys, $order_id, $rows, $id1, $id2)
static | newObjectOrder ( $def, $orderField, $conditions)
static | reorderObject ( $def, $orderField, $conditions, $down=true)
static | escapeArray ( $array)
static | updateObjectList ( $parameters)
static | getShortAttributeName ( $db, $def, $attrName)

## Public Attributes
| $Path
| $PathArray
| $LangMask
| $Action
| $Text
| $Parent
| $TextMD5
| $ActionType
| $Link
| $IsAlias
| $IsOriginal
| $AliasRedirects
| $AlwaysAvailable
Public Attributes inherited from eZPersistentObject
| $PersistentDataDirty
| $ID
| $ContentObjectID
| $SectionID
| $OwnerID
| $ClassID
| $Published
| $Modified
| $CurrentVersion
| $Status
| $RemoteID
| $LanguageMask
| $InitialLanguageID
| $NodeID
| $ParentNodeID
| $MainNodeID
| $ContentObjectVersion
| $ContentObjectIsPublished
| $Depth
| $SortField
| $SortOrder
| $Priority
| $ModifiedSubNode
| $PathString
| $PathIdentificationString
| $IsHidden
| $IsInvisible
| $UserID
| $Name
| $Locale
| $Identifier
| $NavigationPartIdentifier
| $SerializedDescriptionList
| $URLAliasName
| $AlwaysAvailable
| $CanTranslate
| $DataInt1
| $DataInt2
| $DataInt3
| $DataInt4
| $DataFloat1
| $DataFloat2
| $DataFloat3
| $DataFloat4
| $DataText1
| $DataText2
| $DataText3
| $DataText4
| $DataText5
| $SerializedDataText
| $Category
| $PolicyID
| $Values
| $Created
| $CurrencyCode
| $ProductCollectionID
| $ItemCount
| $Price
| $IsVATIncluded
| $VATValue
| $DiscountValue
| $Email
| $IsTemporary
| $IsArchived
| $IsActive
| $OrderID
| $ModifierID
| $Code
| $Symbol
| $AutoRateValue
| $CustomRateValue
| $RateFactor
| $Main
| $MementoKey
| $MainKey
| $WorkflowEventPos
| $LanguageID
| $ContentObjectStateGroupID
| $contentobject_attribute_id
| $contentobject_id
| $rating
| $rating_count
| $rating_average

## Additional Inherited Members
Static Protected Member Functions inherited from eZPersistentObject
static | replaceFieldsWithLongNames (eZDBInterface $db, array $fieldDefs, &$fields)

## Detailed Description

Handles singular path elements in URL aliases.

This class is similar to eZURLAliasML but is designed to work on single path elements instead of considering the whole url.

The definition() of this class is the same as eZURLAliasML but it is not possible to store and remove items of this class.

Definition at line 22 of file ezpathelement.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZPathElement::__construct | ( |  | $row | ) |

Initializes the object with the $row.

It will try to set each field taken from the database row. Calls fill to do the job. If $row is an integer, it will try to fetch it from the database using it as the unique ID.

Parameters

  int | array | $row |

Reimplemented from eZPersistentObject.

Definition at line 37 of file ezpathelement.php.

## Member Function Documentation

## ◆ actionURL()

eZPathElement::actionURL | ( |  | ) |

Converts the action property into a real url which responds to the module/view on the site.

Definition at line 135 of file ezpathelement.php.

References eZURLAliasML\actionToUrl().

## ◆ alwaysAvailable()

eZPathElement::alwaysAvailable | ( |  | ) |

Definition at line 218 of file ezpathelement.php.

References $AlwaysAvailable.

## ◆ definition()

static eZPathElement::definition | ( |  | ) |
| static

Returns the definition for the object, the default implementation is to return an empty array. It's upto each inheriting class to return a proper definition array.

The definition array is an associative array consists of these keys:

- fields: an associative array of fields which defines which database field (the key) is to fetched and how they map to object member variables (the value).
- keys: an array of fields which is used for uniquely identifying the object in the table.
- function_attributes: an associative array of attributes which maps to member functions, used for fetching data with functions.
- set_functions: an associative array of attributes which maps to member functions, used for setting data with functions.
- increment_key: the field which is incremented on table inserts.
- class_name: the classname which is used for instantiating new objecs when fetching from the database.
- sort: an associative array which defines the default sorting of lists, the key is the table field while the value is the sorting method which is either 'asc' or 'desc'.
- name: the name of the database table

Example: `public static function definition() { return array( "fields" => array( "id" => "ID", "version" => "Version", "name" => "Name" ), "keys" => array( "id", "version" ), "function_attributes" => array( "current" => "currentVersion", "class_name" => "className" ), "increment_key" => "id", "class_name" => "eZContentClass", "sort" => array( "id" => "asc" ), "name" => "ezcontentclass" ); }`

Returns
  array

Reimplemented from eZPersistentObject.

Definition at line 48 of file ezpathelement.php.

## ◆ fetchNamedByParentID()

static eZPathElement::fetchNamedByParentID | ( |  | $parentID,
|  |  | $name
| ) |  |
| static

Fetches path elements which has the parent $parentID and name $name.

Returns
  An array of path element objects.

Definition at line 144 of file ezpathelement.php.

## ◆ getLanguage()

eZPathElement::getLanguage | ( |  | ) |

Returns the eZContentLanguage object which maches the element language mask.

Definition at line 126 of file ezpathelement.php.

References eZContentLanguage\fetch().

## ◆ getPath()

eZPathElement::getPath | ( |  | ) |

Calculates the full path for the current item and returns it.

Note
  If you know the action values of the path use fetchPathByActionList() instead, it is more optimized.
  The calculated path is cached in $Path.

Definition at line 159 of file ezpathelement.php.

References $Path, eZURLAliasML\choosePrioritizedRow(), eZPersistentObject\count(), and eZDB\instance().

## ◆ getPathArray()

eZPathElement::getPathArray | ( |  | ) |

Definition at line 188 of file ezpathelement.php.

References $PathArray, eZURLAliasML\choosePrioritizedRow(), eZPersistentObject\count(), and eZDB\instance().

## ◆ removeThis()

eZPathElement::removeThis | ( |  | ) |

Removal of path elements is not allowed.

Definition at line 117 of file ezpathelement.php.

References eZDebug\writeError().

## ◆ store()

eZPathElement::store | ( |  | $fieldFilters = `null` | ) |

Storing of path elements is not allowed.

Reimplemented from eZPersistentObject.

Definition at line 108 of file ezpathelement.php.

References eZDebug\writeError().

## Member Data Documentation

## ◆ $Action

eZPathElement::$Action

Definition at line 27 of file ezpathelement.php.

## ◆ $ActionType

eZPathElement::$ActionType

Definition at line 31 of file ezpathelement.php.

## ◆ $AliasRedirects

eZPathElement::$AliasRedirects

Definition at line 35 of file ezpathelement.php.

## ◆ $AlwaysAvailable

eZPathElement::$AlwaysAvailable

Definition at line 223 of file ezpathelement.php.

Referenced by alwaysAvailable().

## ◆ $IsAlias

eZPathElement::$IsAlias

Definition at line 33 of file ezpathelement.php.

## ◆ $IsOriginal

eZPathElement::$IsOriginal

Definition at line 34 of file ezpathelement.php.

## ◆ $LangMask

eZPathElement::$LangMask

Definition at line 26 of file ezpathelement.php.

## ◆ $Link

eZPathElement::$Link

Definition at line 32 of file ezpathelement.php.

## ◆ $Parent

eZPathElement::$Parent

Definition at line 29 of file ezpathelement.php.

## ◆ $Path

eZPathElement::$Path

Definition at line 24 of file ezpathelement.php.

Referenced by getPath().

## ◆ $PathArray

eZPathElement::$PathArray

Definition at line 25 of file ezpathelement.php.

Referenced by getPathArray().

## ◆ $Text

eZPathElement::$Text

Definition at line 28 of file ezpathelement.php.

## ◆ $TextMD5

eZPathElement::$TextMD5

Definition at line 30 of file ezpathelement.php.

The documentation for this class was generated from the following file:

- ezpathelement.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.